Package org.apache.sling.feature.cpconverter.vltpkg

## Class SingleFileArchive.SingleFileEntry

- java.lang.Object
- - org.apache.sling.feature.cpconverter.vltpkg.SingleFileArchive.SingleFileEntry

All Implemented Interfaces:
  `org.apache.jackrabbit.vault.fs.io.Archive.Entry`

Enclosing class:
  SingleFileArchive

    public static class SingleFileArchive.SingleFileEntry
    extends Object
    implements org.apache.jackrabbit.vault.fs.io.Archive.Entry

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.jackrabbit.vault.fs.io.Archive.Entry` `getChild​(String name)`
`Collection<? extends org.apache.jackrabbit.vault.fs.io.Archive.Entry>` `getChildren()`
`String` `getName()`
`boolean` `isDirectory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.apache.jackrabbit.vault.fs.io.Archive.Entry`

#### isDirectory

    public boolean isDirectory()

Specified by:
  `isDirectory` in interface `org.apache.jackrabbit.vault.fs.io.Archive.Entry`

#### getChildren

    public Collection<? extends org.apache.jackrabbit.vault.fs.io.Archive.Entry> getChildren()

Specified by:
  `getChildren` in interface `org.apache.jackrabbit.vault.fs.io.Archive.Entry`

#### getChild

    public org.apache.jackrabbit.vault.fs.io.Archive.Entry getChild​(String name)

Specified by:
  `getChild` in interface `org.apache.jackrabbit.vault.fs.io.Archive.Entry`